@finn: #752e54;
@chestnut-rose: #c74769;
@wild-watermelon: #fe5372;
@salmon: #fe8670;
@cornflower-blue: #2d759d;
@san-juan: #2d5167;
@tarawera: #083d5f;
@carnation-pink: #ff95bb;
@amethyst: #c15bc5;
@minsk: #44337a;
@orchid: #d069c3;
@cerulean: #0d8ed1;
@denim: #1b75c1;
@atoll: #0c6c7f;
@shakespeare: #4dc3cc;
@turquiose-blue: #66e6ea;
@red-velvet: #b1158c;
@tickle-me-pink: #fc6d9a;
@goldenrod: #fcd66c;
@text-color: #1F1919;

@screen-xs: 360px;
@screen-sm: 576px;
@screen-md: 768px;
@screen-lg: 992px;
@screen-xl: 1200px;

* {
    -webkit-font-smoothing: antialiased !important;
   -moz-osx-font-smoothing: grayscale !important;
   text-rendering: optimizeLegibility;
   letter-spacing: .0325em;
   word-spacing: .025em;
}

html, body {
   height: 100%;
   min-height: 100%;
}

body {
   font-family: 'Source Sans Pro', sans-serif;
   font-size: 1rem;
   font-weight: 500;
   line-height: 1.6;
   color: @text-color;
}

h1,
h2 {
   margin: 0;
   font-family: 'Rajdhani', sans-serif;
   font-weight: normal;
   line-height: 1.25;
   text-transform: uppercase;
}

h1 {
   font-size: 2em;
   font-weight: 300;
   letter-spacing: .075em;
   @media(min-width: @screen-xs) {
      font-size: 2.25em;
   }
   @media(min-width: @screen-sm) {
      font-size: 2.5em;
   }
   @media(min-width: @screen-md) {
      font-size: 2.75em;
   }
   @media(min-width: @screen-lg) {
      font-size: 3em;
   }
   @media(min-width: @screen-xl) {
      font-size: 3.25em;
   }
}

h2 {
   font-size: 1.75em;
   font-weight: 700;
   letter-spacing: .0325em;
   @media(min-width: @screen-xs) {
      font-size: 1.875em;
   }
   @media(min-width: @screen-sm) {
      font-size: 2.125em;
   }
   @media(min-width: @screen-md) {
      font-size: 2.375em;
   }
   @media(min-width: @screen-lg) {
      font-size: 2.625em;
   }
   @media(min-width: @screen-xl) {
      font-size: 2.75em;
   }
}

h3 {
   font-size: 1.25em;
   letter-spacing: .0325em;
   line-height: 1.4;
   @media(min-width: @screen-sm) {
      font-size: 1.3125em;
   }
   @media(min-width: @screen-md) {
      font-size: 1.375em;
   }
   @media(min-width: @screen-lg) {
      font-size: 1.4375em;
   }
   @media(min-width: @screen-xl) {
      font-size: 1.5em;
   }
}

h4 {
   margin-bottom: .625em;
   font-size: 1.0625em;
   letter-spacing: .05em;
   line-height: 1.5;
   @media(min-width: @screen-md) {
      font-size: 1.125em;
   }
   @media(min-width: @screen-xl) {
      font-size: 1.1875em;
   }
}

p {
   margin: 0 0 1.5em;
   font-size: .9375em;
   @media(min-width: @screen-md) {
      font-size: 1em;
   }
   @media(min-width: @screen-xl) {
      font-size: 1.0625em;
   }
}

strong,
b {
   font-weight: 700;
}

small {
   font-size: 60%;
}

a {
   color: inherit;
   .transition(all .25s ease-out);
   &:hover,
   &:focus {
      color: inherit;
      text-decoration: none;
   }
   &.button {
      display: inline-block;
      padding: .5em 1.5em .375em;
      border: solid 2px #fff;
      border-radius: 30px;
      font-family: 'Rajdhani', sans-serif;
      font-weight: 700;
      font-size: .875em;
      letter-spacing: .0875em;
      text-transform: uppercase;
      @media(min-width: @screen-md) {
         padding: .5625em 1.75em .4375em;
         font-size: .9375em;
      }
   }
}

blockquote {
   position: relative;
   margin: 0;
   padding: 2em 0;
   font-size: 1em;
   font-weight: 300;
   font-style: italic;
   &::before, 
   &::after {
      content: '';
      display: block;
      position: absolute;
      width: 24px;
      height: 21px;
      background-image: url(../../images/ui-quote.svg);
      background-size: 100% 400%;
      background-position: 0 0;
   }
   &::before {
      top: 0;
      left: -12px;
      .rotate(180deg);
   }
   &::after {
      bottom: 0;
      right: -24px;
   }
   @media(min-width: @screen-xs) {
      font-size: 1.0625em;
      &::before,
      &::after {
         width: 26px;
         height: 23px;
      }
      &::before {
         left: -13px;
      }
      &::after {
         right: -26px;
      }
   }
   @media(min-width: @screen-sm) {
      font-size: 1.125em;
      &::before,
      &::after {
         width: 28px;
         height: 25px;
      }
      &::before {
         left: -14px;
      }
      &::after {
         right: -28px;
      }
   }
   @media(min-width: @screen-md) {
      padding: 0;
      font-size: 1.25em;
      &::before,
      &::after {
         width: 32px;
         height: 28px;
      }
      &::before {
         top: -2px;
         left: -64px;
      }
      &::after {
         bottom: -2px;
         right: -64px;
      }
   }
   @media(min-width: @screen-lg) {
      font-size: 1.375em;
      &::before,
      &::after {
         width: 36px;
         height: 32px;
      }
      &::before {
         top: -3px;
         left: -72px;
      }
      &::after {
         bottom: -3px;
         right: -72px;
      }
   }
   @media(min-width: @screen-xl) {
      font-size: 1.5em;
      &::before,
      &::after {
         width: 40px;
         height: 35px;
      }
      &::before {
         top: -5px;
         left: -80px;
      }
      &::after {
         bottom: -5px;
         right: -80px;
      }
   }
}

.case-normal {
   text-transform: none;
}

.image {
   position: absolute;
   display: inline-block;
}

.container {
   padding: 0 25px;
   @media(min-width: @screen-sm) {
      padding: 0 15px;
   }
}

.container-fluid {
   padding: 0 25px;
}

.w-100 {
   width: 100% !important;
}

.text-container {
   > * {
      &:last-child {
         margin-bottom: 0;
      }
   }
}

header {
   position: fixed;
   top: 0;
   left: 0;
   z-index: 10;
   width: 100%;
   height: 60px;
   padding: 1em 20px;
   overflow: hidden;
   .transition(all .3s cubic-bezier(0.165, 0.84, 0.44, 1));
   .custom-logo-link {
      img {
         width: 90px;
      }
   }
   #burger-menu {
      visibility: hidden;
      &+label {
         opacity: .5;
         cursor: pointer;
         position: absolute;
         top: 15px;
         right: 20px;
         margin: 0;
         width: 28px;
         height: 28px;
         border-radius: 50%;
         border: solid 1px #fff;
         .transition(all .4s ease-out);
         span {
            display: block;
            position: absolute;
            left: 50%;
            margin-left: -6px;
            width: 12px;
            height: 1px;
            background: #fff;
            transition: top .2s .3s cubic-bezier(0.215, 0.61, 0.355, 1), transform .3s cubic-bezier(0.215, 0.61, 0.355, 1);
            &:nth-child(1) {
               top: 8px;
               .transform-origin(50% 50%);
            }
            &:nth-child(2) {
               top: 13px;
            }
            &:nth-child(3) {
               top: 18px;
               .transform-origin(50% 50%);
            }
         }
         &:hover,
         &:focus {
            opacity: 1;
         }
      }
      &:checked {
         &+label {
            span {
               transition: top .2s cubic-bezier(0.215, 0.61, 0.355, 1), transform .3s .2s cubic-bezier(0.215, 0.61, 0.355, 1);
               &:nth-child(1) {
                  top: 13px;
                  .rotate(-45deg);
               }
               &:nth-child(2) {
                  .scaleX(0);
               }
               &:nth-child(3) {
                  top: 13px;
                  .rotate(45deg);
               }
            }
         }
      }
   }
   #primary-menu {
      visibility: hidden;
      pointer-events: none;
      opacity: 0;
      position: absolute;
      top: 50%;
      left: 50%;
      list-style: none;
      padding: 0;
      text-align: center;
      .translate(-50%,-45%);
       li {
          a {
            cursor: pointer;
            position: relative;
            display: inline-block;
            vertical-align: middle;
            margin: 1em 2em;
            font-size: .875em;
            font-weight: 400;
            letter-spacing: .0875em;
            text-transform: uppercase;
            color: #fff;
            &::after {
               opacity: .25;
               content: '';
               position: absolute;
               top: 110%;
               display: block;
               width: 100%;
               height: 2px;
               background: #fff;
               .transform-origin(50% 50%);
               .scaleX(0);
               .transition(all .5s cubic-bezier(0.215, 0.61, 0.355, 1));
            }
            &:hover,
            &:focus {
               &::after {
                  .scaleX(1);
               }
            }
         }
         &.current-menu-item {
             > a {
               &::after {
                  height: 2px;
                  .scaleX(1);
               }
            }
         }
         &.menu-item-has-children {
            > a {
               position: relative;
               &+span {
                  cursor: pointer;
                  display: inline-block;
                  vertical-align: middle;
                  margin-left: -1em;
                  width: 16px;
                  height: 16px;
                  background-image: url(../../images/icon-menu-arrow.svg);
                  background-size: 100% 100%;
                  .transform-origin(50% 50%);
                  .transition(all .5s cubic-bezier(0.165, 0.84, 0.44, 1));
               }
            }
            &.active {
               > a {
                  &+span {
                     .rotate(180deg);
                  }
               }
            }
         }
      }
      .sub-menu {
         display: none;
         list-style: none;
         width: 240px;
         padding: .5em 0;
         background: rgba(0,0,0,.2);
         > li {
            > a {
               margin: .5em 1em;
               font-size: .875em;
            }
         }
      }
   }
   &.scrolled {
      background: rgba(0,0,0,.25);
      .backdrop-blur(20px);
      box-shadow: 0 0 2px rgba(0,0,0,.2), 0 -3px 10px rgba(0,0,0,.2);
   }
   &.expand {
      height: 100% !important;
      background: rgba(0,0,0,.25);
      .backdrop-blur(20px);
      .transition(all .5s 0 cubic-bezier(0.165, 0.84, 0.44, 1));
      #primary-menu {
         visibility: visible;
         pointer-events: auto;
         opacity: 1;
         .translate(-50%,-50%);
         -webkit-transition: opacity .5s .5s cubic-bezier(0.165, 0.84, 0.44, 1), -webkit-transform .5s .5s cubic-bezier(0.165, 0.84, 0.44, 1);
                 transition: opacity .5s .5s cubic-bezier(0.165, 0.84, 0.44, 1), transform .5s .5s cubic-bezier(0.165, 0.84, 0.44, 1);         
      }
   }
   @media(min-width: @screen-sm) {
      padding: 1em 24px;
      #burger-menu {
         &+label {
            right: 24px;
         }   
      }
   }
   @media(min-width: @screen-md) {
      height: auto;
      overflow: visible;
      padding: 1em 25px;
      .custom-logo-link {
         img {
            margin-top: .25em;
            width: 100px;
         }
      }
      #burger-menu {
         &+label {
            display: none;
         }
      }
      #primary-menu {
         visibility: visible;
         pointer-events: auto;
         opacity: 1;
         position: static;
         top: auto;
         left: auto;
         float: right;
         margin: 0 0 .25em; 
         .translate(0%,0%) !important;
         .transition(none);
         > li {
            display: inline-block;
            margin-left: 2.625em;
            > a {
               margin: 0;
               font-size: .875em;
            }
            &.menu-item-has-children {
               position: relative;   
               > a {
                  &+span {
                     margin-left: .5em;
                  }
               }
               &.active {
                  .sub-menu {
                     opacity: 1;
                     visibility: visible;
                     .translate(0,0);
                  }
               }
            }
         }
         .sub-menu {
            display: block !important;
            opacity: 0;
            visibility: hidden;
            position: absolute;
            top: 208%;
            left: 50%;
            margin-left: -120px;
            padding: 1em 0;
            .backdrop-blur(20px);
            .translate(0, 8px);
            .transition(all .5s cubic-bezier(0.165, 0.84, 0.44, 1));
            li {
               a {
                  font-size: .875em;
               }
            }
         }
      }
      &.scrolled {
         height: auto;
         #primary-menu {
            
            > li {
               > a {
                  margin: 0;
               }
            }
         }
      }
      &.expand {
         height: auto !important;
         background: transparent;
         &.scrolled {
            background: rgba(0,0,0,.25);
            .backdrop-blur(20px);
         }
      }
   }
   @media(min-width: @screen-lg) {
      .custom-logo-link {
         img {
            margin-top: .125em;
            width: 110px;
         }
      }
   }
   @media(min-width: @screen-xl) {
      .custom-logo-link {
         img {
            margin-top: 0;
            width: 120px;
         }
      }
      #primary-menu {
         > li {
            margin-left: 2.75em;
         }
      }
   }
}

main {
   position: relative;
   .wrapper {
      overflow: hidden;
   }
   .page-intro {
      position: relative;
      height: 120vh; 
      color: #fff;
      > .background {
         overflow: hidden;
         position: absolute;
         top: -20vw;
         left: 0;
         width: 100%;
         height: ~'calc(100% + 40vw)';
         .skew(0deg; -21.8deg);
         > .content {
            position: absolute;
            z-index: 1;
            top: 20vw;
            left: 0;
            width: 100%;
            height: ~'calc(100% - 40vw)';
            .skew(0deg; 21.8deg);
         }
      }
      .container {
         height: 100%;
         > .row {
            height: 100%;
         }
      }
      .headlines {
         text-align: center;
         h1 {
            margin: 0 0 .25em;
            small {
               strong {
                  letter-spacing: .075em;
               }
            }
         }
         
      }
      p {
         margin: 0;
         font-size: 1em;
      }
      @media(min-width: @screen-sm) {
         p {
            font-size: 1.0625em;
         }
      }
      @media(min-width: @screen-sm) {
         height: 110vh;
         p {
            font-size: 1.125em;
         }
      }
      @media(min-width: @screen-md) {
         height: 100vh;
         .headlines {
            text-align: left;
            
         }
         p {
            font-size: 1.1875em;
         }
      }
      @media(min-width: @screen-lg) {
         p {
            font-size: 1.25em;
         }
      }
      @media(min-width: @screen-xl) {
         p {
            font-size: 1.3125em;
         }
      }
   }
   section {
      position: relative;
      padding-top: ~'calc(40vw + 2em)';
      padding-bottom: 2em;
      > .background {
         overflow: hidden;
         position: absolute;
         top: 20vw;
         left: 0;
         width: 100%;
         height: 100%;
         .skewY(-21.8deg);
         > .content {
            position: absolute;
            z-index: 1;
            left: 0;
            width: 100%;
            height: 100%;
            .skewY(21.8deg);
         }
         &.inverted {
            overflow: visible;
            .skewY(21.8deg);
            > .content {
               .skewY(-21.8deg);
            }
         }
      }
      &.no-skew {
         padding: 4em 0;
         > .background {
            top: 0;
            .skewY(0);
         }
      }
      &:last-child {
         padding-bottom: ~'calc(4em + 100px)';
      }
      @media(min-width: @screen-md) {
         padding-top: ~'calc(40vw + 1em)';
      }
      @media(min-width: @screen-md) {
         padding-top: 40vw;
      }
      &#contact {
         pointer-events: none;
         color: #fff;
         .container {
            pointer-events: auto;
         }
         .form-container {
            margin-top: 1.25em;
            .button-container {
               text-align: center;
               .ajax-loader {
                  display: none;
               }
            }
         }
         @media(min-width: @screen-md) {
            .form-container {
               margin-top: 0;
               .button-container {
                  text-align: right;
               }
            }
         }
      }
   }
}



footer {
   position: absolute;
   bottom: 0;
   width: 100%;
   
   text-align: center;
   color: #fff;
   .lsi-social-icons {
      margin-bottom: 1em !important;
      text-align: center !important;
      li {
         margin: 0 .5em !important;
         a {
            padding: 0;
            background: transparent !important;
            line-height: 1;
            &:hover,
            &:focus {
               background: transparent !important;
            }
         }
      }
      
   }
   p {
      font-size: .875em;
   }
   @media(min-width: @screen-md) {
      text-align: left;
      .lsi-social-icons {
         text-align: left !important; 
         li {
            margin: 0 1em 0 0 !important;
         }  
      }
   }
}

// BxSlider custom styling 

.bx-wrapper {
   margin: 0;
   height: 100%;
   border: none;
   background: none;
   box-shadow: none;
   .bx-viewport {
      height: 100%;
   }
   .bx-controls {
      .bx-controls-direction {
         a {
            margin-top: -12px;
            width: 24px;
            height: 24px;
            background: none;
            background-image: url(../../images/icon-ui-arrows.svg);
            background-size: 200% 100%;
            &.bx-prev {
               left: auto;
               right: 102%;
               background-position: 0 0;
            }
            &.bx-next {
               left: 102%;
               right: auto;
               background-position: -100% 0;
            }
         }
      }
   }
   .bx-pager {
      bottom: 2em;
      &.bx-default-pager {
         a {
            margin: 0 12px;
            width: 8px;
            height: 8px;
            border-radius: 6px;
            background: rgba(0,0,0,.4);
            &:hover,
            &:focus {
               background: rgba(0,0,0,.6);
            }
            &.active {
               background: rgba(0,0,0,1);
            }
         }
      }
   }
   @media(min-width: @screen-sm) {
      .bx-pager {
         bottom: 3em;
         &.bx-default-pager {
            a {
               margin: 0 14px;
               width: 9px;
               height: 9px;
            }
         }
      }
   }
   @media(min-width: @screen-md) {
      .bx-controls {
         .bx-controls-direction {
            a {
               margin-top: -13px;
               width: 26px;
               height: 26px;
            }
         }
      }
      .bx-pager {
         &.bx-default-pager {
            a {
               margin: 0 16px;
               width: 10px;
               height: 10px;
            }
         }
      }
   }
   @media(min-width: @screen-lg) {
      .bx-controls {
         .bx-controls-direction {
            a {
               margin-top: -14px;
               width: 28px;
               height: 28px;
            }
         }
      }
      .bx-pager {
         bottom: 4em;
         &.bx-default-pager {
            a {
               margin: 0 18px;
               width: 11px;
               height: 11px;
            }
         }
      }
   }
}

// Contact Form 7

.wpcf7-form {
   .input-container {
      margin-bottom: 1.5em;
   }
   input[type=text], 
   input[type=email], 
   input[type=submit], 
   textarea {
      -webkit-appearance: none;
         -moz-appearance: none;
              appearance: none;
      padding: .75em 1em .8125em;
      border: solid 3px #fff;
      border-radius: 0;
      outline: none;
      width: 100%;
      background: transparent;
      font-size: .9375em;
      letter-spacing: .0375em;
      color: #fff;
      &::-webkit-input-placeholder {
         font-size: .875em;
         font-weight: 900;
         line-height: 2;
         letter-spacing: .125em;
         text-transform: uppercase;
         color: #fff;
      }
      &::-moz-placeholder {
         font-size: .875em;
         font-weight: 900;
         line-height: 2;
         letter-spacing: .125em;
         text-transform: uppercase;
         color: #fff;
      }
      &:-ms-input-placeholder {
         font-size: .875em;
         font-weight: 900;
         line-height: 2;
         letter-spacing: .125em;
         text-transform: uppercase;
         color: #fff;
      }
      &:-moz-placeholder {
         font-size: .875em;
         font-weight: 900;
         line-height: 2;
         letter-spacing: .125em;
         text-transform: uppercase;
         color: #fff;
      }
      &.wpcf7-not-valid {
         border-color: #F82939;
      }
   }
   textarea {
      resize: none;
   }
   .button-container {
      text-align: center;
      .ajax-loader {
         display: none;
      }
   }
   input[type=submit] {
      cursor: pointer;
      display: inline-block;
      padding: .375em 1em .4375em;
      width: auto;
      min-width: 160px;
      border-radius: 50px;
      font-size: .875em;
      font-weight: 900;
      letter-spacing: .125em;
   }
   .wpcf7-not-valid-tip {
      margin-top: .375em;
      font-size: .875em;
      font-style: italic;
      font-weight: 600;
      text-align: right;
      color: #F82939;
   }
   .wpcf7-response-output {
      margin: 2em 0 0;
      border: none;
      padding: .5em;
      font-size: .9375em;
      font-weight: 400;
      text-align: center;
      color: #fff;
      &.wpcf7-validation-errors {
         background: #ffad1c;
      }
      &.wpcf7-mail-sent-ok {
         background: #55bc05;
      }
   }
   @media(min-width: @screen-md) {
      input, 
      textarea {
         font-size: 1em;
         &::-webkit-input-placeholder {
            font-size: .9375em;
            line-height: 1.75;
         }
         &::-moz-placeholder {
            font-size: .9375em;
            line-height: 1.75;
         }
         &:-ms-input-placeholder {
            font-size: .9375em;
            line-height: 1.75;
         }
         &:-moz-placeholder {
            font-size: .9375em;
            line-height: 1.75;
         }
      }
      input[type=submit] {
         font-size: .9375em;   
      }
      .wpcf7-not-valid-tip {
         font-size: .9375em;  
      }
   }
   @media(min-width: @screen-xl) {
      input, 
      textarea {
         font-size: 1.0625em;
         &::-webkit-input-placeholder {
            font-size: 1em;
            line-height: 1.65;
         }
         &::-moz-placeholder {
            font-size: 1em;
            line-height: 1.65;
         }
         &:-ms-input-placeholder {
            font-size: 1em;
            line-height: 1.65;
         }
         &:-moz-placeholder {
            font-size: 1em;
            line-height: 1.65;
         }
      }
      input[type=submit] {
         font-size: 1em;   
      }
      .wpcf7-not-valid-tip {
         font-size: 1em;  
      }
   }
}
